{varType Skadmin\FileStorage\FileStorage $fileStorage}
{varType Skadmin\TournamentGame\Doctrine\TournamentResult\TournamentResult $tournamentResult}
{varType Skadmin\FileStorage\FilePreview $filePreview}

{define teamOrUserName}
    {if $teamOrUser === null}
        --
    {elseif $teamOrUser instanceOf Skadmin\TournamentGame\Doctrine\Team\Team}
        {$teamOrUser->getName()} [{$teamOrUser->getNickname()}]

        {if $info}
            - {$info}
        {/if}
    {else}
        {if $teamOrUser->isPublicName()}
            {$teamOrUser->getFullName()}
        {else}
            {$teamOrUser->getNickname()}
        {/if}
    {/if}
{/define}

{define resultTitle}
    <span class="text-primary font-weight-bold">
        {include #teamOrUserName teamOrUser => $tournamentResult->getSubmitter(), info => $tournamentResult->getSubmitterAdditionalInfo()|trim}
    </span>

    {if $tournamentResult->getOpponent()}
        <span class="text-primary">
            vs
        </span>

        <span class="text-danger font-weight-bold">
            {include #teamOrUserName teamOrUser => $tournamentResult->getOpponent(), info => $tournamentResult->getOpponentAdditionalInfo()|trim}
        </span>
    {/if}
{/define}

<div class="row">
    <div class="col-12 mb-4">
        <div class="card shadow">
            <div class="card-body">

                <div class="row">
                    <div class="col-12 text-right">
                        <a href="{$linkBack}" class="btn btn-xs btn-primary"><i class="fas fa-fw fa-chevron-left"></i> {_'tournament-game.results.back'}</a>
                        <a n:href="downloadAll!" class="btn btn-xs btn-outline-primary"><i class="fas fa-fw fa-download"></i> {_'tournament-game.results.download-all'}</a>
                    </div>
                </div>

                <div class="row mt-3" n:snippet="snipOverview">
                    <div class="col-12 table-responsive">

                        <table class="table table-striped table-hover">
                            <thead>
                            <tr>
                                <th>{_('Zápas / nahráno')}</th>
                                <th>{_('Poznámka')}</th>
                                <th>{_('Velikost')}</th>
                                <th></th>
                                <th></th>
                                <th></th>
                            </tr>
                            </thead>

                            <tbody n:inner-foreach="$tournamentResults as $tournamentResult">
                            {var $filePreview = $fileStorage->getFilePreview($tournamentResult->getIdentifier(), $tournamentResult->getFileName(), $tournamentResult->getSizeInUnit())}
                            <tr>
                                <td class="align-middle">
                                    <a n:tag-if="$filePreview->isImage()"
                                            n:href="loadImage! hash => $tournamentResult->getHash()"
                                            data-fancybox="tournament-results"
                                            data-type="image"
                                            data-caption="{include #resultTitle result => $tournamentResult|striptags|trim}">
                                        <i class="fas fa-fw fa-image" n:tag-if="$filePreview->isImage()"></i>
                                        {include #resultTitle result => $tournamentResult|trim}
                                    </a>
                                    <br>
                                    <small class="text-muted">{$tournamentResult->getFileName()}</small>
                                    <br>
                                    <small class="text-muted">{$tournamentResult->getCreatedAt()|date:'d.m.Y H:i'}</small>
                                </td>
                                <td class="align-middle">
                                    <div class="collapse show collapse-content-{$tournamentResult->getId()}">
                                        <a class="small" href="#" data-toggle="collapse" data-target=".collapse-content-{$tournamentResult->getId()}"><i class="fas fa-fw fa-pen"></i></a>
                                        {$tournamentResult->getContent()}
                                    </div>

                                    <div class="spinner-border text-primary collapse collapse-loading-{$tournamentResult->getId()}"></div>

                                    <div class="collapse collapse-content-{$tournamentResult->getId()} collapse-loading-{$tournamentResult->getId()}">
                                        {var $resultId = $tournamentResult->getId()}
                                        {var $submitId = sprintf('form-update-content-%d', $resultId)}
                                        {form formUpdateContent-$resultId class => 'ajax'}
                                            <a class="btn btn-xs btn-outline-danger"
                                               href="#"
                                               data-toggle="collapse"
                                               data-target=".collapse-content-{$tournamentResult->getId()}">
                                                <i class="fas fa-fw fa-times"></i>
                                            </a>

                                            <label class="btn btn-xs btn-outline-primary mb-0 float-right"
                                                   data-toggle="collapse"
                                                   data-target=".collapse-loading-{$tournamentResult->getId()}"
                                                   for="{$submitId}">
                                                <i class="fas fa-fw fa-save"></i>
                                            </label>

                                            {input content value => $tournamentResult->getContent(), class => 'form-control'}
                                            {input send id => $submitId, class => 'd-none'}
                                        {/form}
                                    </div>
                                </td>
                                <td class="align-middle">{$tournamentResult->getSizeInUnit()}</td>
                                <td class="text-center align-middle">
                                    <a n:if="$filePreview->isImage()"
                                            n:href="loadImage! hash => $tournamentResult->getHash()"
                                            data-fancybox="tournament-results-2"
                                            data-type="image"
                                            data-caption="{include #resultTitle result => $tournamentResult|striptags|trim}">
                                        <i class="fas fa-fw fa-search-plus"></i>
                                    </a>
                                </td>
                                <td class="text-center align-middle">
                                    <a n:href="downloadResult! hash => $tournamentResult->getHash()">
                                        <i class="fas fa-fw fa-download"></i>
                                    </a>
                                </td>
                                <td class="text-center align-middle">
                                    <a n:if="$canDelete"
                                            href="#"
                                            data-link="{link removeResult! hash => $tournamentResult->getHash()}"
                                            class="text-danger"
                                            data-confirm="{_'tournament-game.results.remove "%s"', $tournamentResult->getFileName()}">
                                        <i class="fas fa-fw fa-trash"></i>
                                    </a>
                                </td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
